<?php

namespace Drupal\orange_dam;

/**
 * The representation of an Orange DAM item.
 */
interface OrangeDamItemInterface {

  /**
   * Build a representation of an Orange DAM item.
   *
   * @param string $id
   *   The item ID.
   * @param object $data
   *   The raw data from an Orange DAM item.
   * @param string $type
   *   The type of item.
   */
  public function __construct(string $id, object $data, string $type);

  /**
   * Gets the item ID.
   *
   * @return string
   *   The item ID.
   */
  public function id();

  /**
   * Gets the item data.
   *
   * @return array
   *   The item data.
   */
  public function data();

  /**
   * Get the item type.
   *
   * @return string
   *   The item type.
   */
  public function type();

}
